QGIS Application - Bug report #12079

Identify highlight color does not take alpha channel into account

2015-01-28 08:05 AM - Regis Haubourg

Status: Closed
Priority: Normal
Assignee:

Category: Map Canvas

Affected QGIS version:3.0.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 20275

Description

Hi,

when setting a custom color for highlighting identified features, alpha channel / transparency is not applied.

That would be nice to let a user see what's under those borders, and that would be more consistent with color picker Ul.

Cheers
Régis

History

#1 - 2015-01-28 08:38 AM - Paolo Cavallini

- Subject changed from Identify highlight color does not take alpha channel into acount to Identify highlight color does not take alpha channel into

account

#2 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2018-02-25 10:58 AM - Regis Haubourg
- Resolution set to fixed/implemented
- Description updated

still true in master, borders and lines are masked by a non transparent rubberband, even if a transparency is applied to it in the general options.

This does work for polygon fill.

#4 - 2018-02-25 10:58 AM - Regis Haubourg

- Affected QGIS version changed from 2.6.0 to 3.0.0

#5 - 2018-02-25 05:15 PM - Giovanni Manghi
- Resolution deleted (fixed/implemented)

#6 - 2018-10-23 11:45 AM - Regis Haubourg

- Status changed from Open to Closed
- Resolution set to fixed/implemented
